Partner

Get Performance Timeseries

GET
/partner/performance-timeseries

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Query Parameters

userId*string

Identifier of the partner user whose performance timeseries is requested

Formatuuid
indicator*string

KPI to build the daily series for

Value in

  • "rebate"
  • "notionalValue"
  • "newClients"
  • "activeTraders"
  • "cpaReward"
startTime?string

Start of the reporting window (inclusive)

Formatdate-time
endTime?string

End of the reporting window (inclusive)

Formatdate-time

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/partner/performance-timeseries?userId=497f6eca-6276-4993-bfeb-53cbbbba6f08&indicator=rebate"
{  "report": {    "series": [      {        "day": "string",        "value": "string"      }    ]  }}
{  "message": "string",  "errors": {    "property1": [      "string"    ],    "property2": [      "string"    ]  }}
{  "message": "string",  "errors": {    "property1": [      "string"    ],    "property2": [      "string"    ]  }}
{  "message": "string",  "errors": {    "property1": [      "string"    ],    "property2": [      "string"    ]  }}
{  "message": "string",  "errors": {    "property1": [      "string"    ],    "property2": [      "string"    ]  }}